
Installer - Feature #35943

Switch to puppetlabs vcsrepo for gitrepo tracking

01/13/2023 03:40 PM - Pat Riehecky

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 3.8.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

puppetlabs maintains a module that checks out git repos.  Switching to that from `foreman/git` would reduce the maintenance burden

long term.

Associated revisions

Revision 70a66395 - 08/08/2023 12:54 PM - Pat Riehecky

Fixes #35943 - Switch to puppetlabs vcsrepo for gitrepo tracking

Revision 0a0645e1 - 08/09/2023 09:03 AM - Ewoud Kohl van Wijngaarden

Refs #35943 - Switch to puppetlabs/vcsrepo

Our theforeman/puppet module has switch from our own custom module to

the generic puppetlabs/vcsrepo. This saves maintenance on our side and

for users it provides more functionality. In large environments it's

already common and allows reuse.

History

#1 - 01/13/2023 03:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-puppet/pull/860 added

#2 - 01/13/2023 04:36 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/827 added

#3 - 08/08/2023 12:54 PM - The Foreman Bot

- Fixed in Releases 3.8.0 added

#4 - 08/08/2023 01:00 PM - Pat Riehecky

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-puppet|70a6639538f27e534f8198e2f7b9ab6d042f1616.

#5 - 08/08/2023 03:21 PM - The Foreman Bot

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/875 added

#6 - 09/12/2023 08:43 AM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

#7 - 11/14/2023 11:25 AM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/puppet-puppet/pull/860, https://github.com/theforeman/foreman-installer/pull/827,
